### Hierarchy

- RouterLinkDirectiveStub

## Index

### Constructors

- constructor

### Properties

- linkParams
- navigatedTo

### Methods

- onClick

## Constructors

### constructor

- new RouterLinkDirectiveStub(): RouterLinkDirectiveStub

- #### Returns RouterLinkDirectiveStub

## Properties

### linkParams

linkParams: any

- Defined in src/testing/router-link-directive-stub.ts:9

### navigatedTo

navigatedTo: any = null

- Defined in src/testing/router-link-directive-stub.ts:10

## Methods

### onClick

- onClick(): void

- - Defined in src/testing/router-link-directive-stub.ts:13

  #### Returns void

Generated using TypeDoc